Subject: Re: Install-prefix when building should not be hardcoded

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Oct 2022 12:34:33 -0700

Đoàn Trần Công Danh  <[email-masked]> writes:

> On 2022-10-04 09:38:24+0200, darkdragon <[email-masked]> wrote:
>> Even though in Makefile, it is stated that git will figure out
>> gitexecdir at runtime based on the path to the executable, there are
>> many output files where $(prefix) will be hardcoded. Even git
>> --exec-path will print out $(compile_prefix)/libexec/git-core instead
>> of using run_prefix.
>
> I'm not sure about this part.

Perhaps it is related to the use of RUNTIME_PREFIX (which I don't
use myself)?